import sys
import json
import requests
if len(sys.argv)==4:
	name=sys.argv[1]
	password=sys.argv[2]
	path=sys.argv[3]
	file=path+"/details.json"
	with open(file) as f:
		details=json.load(f)
	if details["url"]=="none":
		print("You need to first set server url")
		print("Try executing 'spc set-url'")
	else :
		ping=details["url"]+"/linux/login"
		headers={'content-type':'application/json'}
		foo={"username":name,"password":password}
		r=requests.post(ping, data=json.dumps(foo),headers=headers)
		d=json.loads(r.text)
		if d["yes"] == "yes" :
			details["username"]=name;
			details["password"]=password;
			details["path"]=path;
			with open(file, 'w') as outfile:
				json.dump(details, outfile)
			print("login successful!")
		else :
			print("invalid login credentials")
else :
	url=sys.argv[1]
	path=sys.argv[2]
	file=path+"/details.json"
	with open(file) as f:
		details=json.load(f)
	details["url"]="http://"+url;
	with open(file, 'w') as outfile:
		json.dump(details, outfile)
	print("server ip is set to - ",details["url"])
